using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Newtonsoft.Json;

namespace FMSAdmin.Entities {
    public partial class FmsFacilityState {
        public FmsFacilityState() {
            FmsFacilityStateDetail = new HashSet<FmsFacilityStateDetail>();
        }

        [Display(Name = "주요 설비 현황 고유번호"), Key]
        public int FacilityStateId { get; set; }
        [Display(Name = "제목"), Required]
        public string Title { get; set; }
        [Column(TypeName = "datetime")]
        [Display(Name = "시작일")]
        public DateTime StartDate { get; set; }
        [Column(TypeName = "datetime")]
        [Display(Name = "종료일")]
        public DateTime EndDate { get; set; }
        [Display(Name = "비고")]
        public string Note { get; set; }
        [NotMapped]
        public int StateType { get; set; }

        [InverseProperty("FmsFacilityState")]
        public virtual ICollection<FmsFacilityStateDetail> FmsFacilityStateDetail { get; set; }
    }
}
